Package org.apache.felix.http.base.internal.dispatch

# Class InvocationChain

java.lang.Object
org.apache.felix.http.base.internal.dispatch.InvocationChain

All Implemented Interfaces:
  `jakarta.servlet.FilterChain`

public class InvocationChain extends Object implements jakarta.servlet.FilterChain

## Constructor Summary

Constructors
Constructor
Description
`InvocationChain(@NotNull ServletHandler servletHandler, @NotNull FilterHandler[] filterHandlers)`

## Method Summary

Modifier and Type
Method
Description
`final void`
`doFilter(@NotNull jakarta.servlet.ServletRequest req, @NotNull jakarta.servlet.ServletResponse res)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InvocationChain

public InvocationChain(@NotNull @NotNull ServletHandler servletHandler, @NotNull @NotNull FilterHandler[] filterHandlers)

## Method Details

### doFilter

public final void doFilter(@NotNull @NotNull jakarta.servlet.ServletRequest req, @NotNull @NotNull jakarta.servlet.ServletResponse res) throws IOException, jakarta.servlet.ServletException

Specified by:
  `doFilter` in interface `jakarta.servlet.FilterChain`
Throws:
  `IOException`
  `jakarta.servlet.ServletException`